import Group from 'choerodon-ui/dataset/data-set/Group';
import { ColumnProps } from './Column';
import ColumnGroup from './ColumnGroup';
import TableStore from './TableStore';
import { TableGroup } from './Table';
export default class ColumnGroups {
    columns: ColumnGroup[];
    store: TableStore;
    parent?: ColumnGroup;
    get aggregation(): boolean | undefined;
    get wide(): number;
    get deep(): number;
    get hidden(): boolean;
    get width(): number;
    get left(): number;
    get right(): number;
    get lastLeaf(): ColumnGroup | undefined;
    get allLeafs(): ColumnGroup[];
    get inView(): boolean;
    get leafs(): ColumnGroup[];
    get leftLeafs(): ColumnGroup[];
    get rightLeafs(): ColumnGroup[];
    get leafColumnsWidth(): number;
    get leftLeafColumnsWidth(): number;
    get rightLeafColumnsWidth(): number;
    get headerGroup(): Group | undefined;
    get headerGroups(): Group[] | undefined;
    get tableGroup(): TableGroup | undefined;
    constructor(columns: ColumnProps[], store: TableStore, parent?: ColumnGroup);
}
